Bug 225206 - Cluster cannot be deleted (from 'Manage Systems') - but no error results
Cluster cannot be deleted (from 'Manage Systems') - but no error results
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Corey Marthaler
Depends On:
Blocks: 236021
  Show dependency treegraph
Reported: 2007-01-29 14:27 EST by Len DiMaggio
Modified: 2009-04-16 18:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 10:36:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
luci_admin backup file (8.16 KB, text/xml)
2007-01-29 14:27 EST, Len DiMaggio
no flags Details

  None (edit)
Description Len DiMaggio 2007-01-29 14:27:47 EST
Description of problem:

I've been able to inadvertently create clusters where the cluster entries cannot
be deleted.

This bz is related to
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225164) - and when bz
225164 is resolved, this problem may never occur - but the lack of an error/log
message is problematic as it makes debugging this problem difficult.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a cluster with a name > 16 char in length - bz 225164 will block users
from doing this.
2. Attempt to delete the cluster - sometimes, the cluster entry cannot be deleted.
Actual results:
When the user attempts to delete the cluster name - the attempt fails - no error
message is written to the syslog or the zope log.

The problem can be recreated by importing the luci data file included as an
attachment (via luci_admin restore) - start up luci and try to delete the
clusters defined in the file.

The attempt fails - but why is no error/execption raised?

Expected results:
Some useful error.

Additional info:
Comment 1 Len DiMaggio 2007-01-29 14:27:47 EST
Created attachment 146852 [details]
luci_admin backup file
Comment 2 Len DiMaggio 2007-01-29 14:30:43 EST
Also - can anyone suggest a way to clean these entries out of a luci DB? Apart
from reinstalling?
Comment 3 Kiersten (Kerri) Anderson 2007-01-29 15:03:35 EST
I have the same issue with my xen clusters.  In this case, the clusters didn't
get created or aren't all running at the same time depending on which
cluster.conf I boot up.  Can't get rid of them in luci, would like to be able to
clean up my environment.  Removing luci and reinstalling the rpm doesn't do it
Comment 4 Len DiMaggio 2007-01-29 15:05:53 EST
I think you have to manually delete /var/lib/luci after uninstalling to clean
out the data dir (/var/lib/luci/var).
Comment 5 Ryan McCabe 2007-01-29 15:46:10 EST
I fixed this in CVS. It turns out no form input was being provided to the
backend validation code due to zope mangling the form input.

What you could do to remove the entries is remove the package, edit the
/var/lib/luci/var/luci_backup.xml file by hand, then reinstall.. You could also
enable the management interface with the luci_manage script
(conga/luci/utils/luci_maange enable). Then go to
https://host:8084/luci/systems/cluster/manage and delete them there.

Kevin, do the clusters you are unable to remove have names that begin with numbers?
Comment 8 RHEL Product and Program Management 2007-04-10 12:43:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 10 Kiersten (Kerri) Anderson 2007-04-23 13:07:33 EDT
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
Comment 13 errata-xmlrpc 2007-11-07 10:36:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.